## org.eclipse.datatools.enablement.ase
Class JDBCASEProfileMessages

    java.lang.Object
      org.eclipse.datatools.enablement.ase.JDBCASEProfileMessages

    public class JDBCASEProfileMessages

extends java.lang.Object

Utility class which helps managing messages

Field Summary
`static java.lang.String` `plugin_internal_error`

Method Summary
`static java.lang.String` `format(java.lang.String key, java.lang.Object[] args)` Returns the formatted message for the given key in the resource bundle.
`static java.lang.String` `getString(java.lang.String key)` Returns the resource object with the given key in the resource bundle.
`static java.lang.String` `getString(java.lang.String key, java.lang.String def)` Returns the resource object with the given key in the resource bundle.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### plugin_internal_error

    public static java.lang.String plugin_internal_error

Method Detail

### format

    public static java.lang.String format(java.lang.String key,
                                          java.lang.Object[] args)

  Returns the formatted message for the given key in the resource bundle.

  Parameters:
    `key` - the resource name
    `args` - the message arguments
  Returns:
    the string

### getString

    public static java.lang.String getString(java.lang.String key)

  Returns the resource object with the given key in the resource bundle. If there isn't any value under the given key, the key is returned.

  Parameters:
    `key` - the resource name
  Returns:
    the string

### getString

    public static java.lang.String getString(java.lang.String key,
                                             java.lang.String def)

  Returns the resource object with the given key in the resource bundle. If there isn't any value under the given key, the default value is returned.

  Parameters:
    `key` - the resource name
    `def` - the default value
  Returns:
    the string